Clam Daemon(8)

NAME

clamd - an anti-virus daemon

SYNOPSIS

clamd [options]

DESCRIPTION

The daemon listens for incoming connections on Unix or TCP socket and scans files or directories on demand. It's a part of the Clam AntiVirus package. It reads its configuration information from a clamd.conf file. It provides on-access scanning feature (clamuko) under Linux.

COMMANDS

clamd recognizes the following commands: Note: It's recommended to prefix clamd commands with the letter n (eg. nSCAN) to indicate that the command will be delimited by a newline character and that clamd should continue reading command data until a newline is read. The newline delimiter assures that the complete command and its entire argument will be processed as a single command.

PING
    Check the server's state. It should reply with "PONG".

VERSION
    Print a version information.

RELOAD
    Reload the virus databases.

QUIT
    Perform a clean exit.

SCAN file/directory
    Scan a file or a directory (recursively) with archive support enabled (if not disabled in clamd.conf). A full path is required.

RAWSCAN file/directory
    Scan a file or directory (recursively) with archive support disabled. A full path is required.

CONTSCAN file/directory
    Scan a file or directory (recursively) with archive support enabled and continue scanning even when virus is found. A full path is required.

MULTISCAN file/directory
    Scan directories with multiple threads.

STREAM
    Scan stream - on this command clamd will return "PORT number" and you can connect to that port and send a data to scan.

OPTIONS

-h, --help
    Output help information and exit.

-V, --version
    Print the version number and exit.

-c FILE, --config-file=FILE
    Read configuration from FILE.

FILES

/usr/local/etc/clamd.conf

CREDITS
Please check the full documentation for credits.

AUTHOR

Tomasz Kojm <tkojm@clamav.net>

SEE ALSO

clamdscan(1), clamscan(1), freshclam(1), sigtool(1), clamd.conf(5), clamav-milter(8)